GLR_C = {}

local L = LibStub("AceLocale-3.0"):GetLocale("GuildLotteryRaffle")

local function FormatNumber(n)
	if n ~= nil then
		if n < 10 then
			n = "0" .. tostring(n)
		end
		return n
	else return "NA" end
end

local function GetTimeStamp()
	local t = GetServerTime()
	if t ~= nil then
		local d = date("*t", t)
		d.month = FormatNumber(d.month)
		d.day = FormatNumber(d.day)
		d.year = FormatNumber(d.year)
		d.hour = FormatNumber(d.hour)
		d.min = FormatNumber(d.min)
		d.sec = FormatNumber(d.sec)
		local s = d.month .. "/" .. d.day .. "/" .. d.year .. " - " .. d.hour .. ":" .. d.min .. "." .. d.sec
		return s
	else
		return "NA"
	end
end

local function CommaValue(amount)
	local formatted = amount
	while true do
		formatted, k = string.gsub(formatted, "^(-?%d+)(%d%d%d)", '%1,%2')
		if (k==0) then
			break
		end
	end
	return formatted
end

local function GetValue(value, EventType, NumberType, PlaceType)
	local total = value
	local event = EventType
	local NumberValue = NumberType
	local place = PlaceType
	local round = glrCharacter.Data.Settings.Lottery.RoundJackpot
	if string.sub(total, string.find(total, "%.") + 1, string.find(total, "%.") + 1) == "" then
		total = tostring(total) .. "00"
		if string.sub(total, string.find(total, "%.") + 3, string.find(total, "%.") + 3) == "" then
			total = total .. "00"
		elseif string.sub(total, string.find(total, "%.") + 4, string.find(total, "%.") + 4) == "" then
			total = total .. "0"
		end
	elseif string.sub(total, string.find(total, "%.") + 2, string.find(total, "%.") + 2) == "" then
		total = tostring(total) .. "0"
		if string.sub(total, string.find(total, "%.") + 3, string.find(total, "%.") + 3) == "" then
			total = total .. "00"
		elseif string.sub(total, string.find(total, "%.") + 4, string.find(total, "%.") + 4) == "" then
			total = total .. "0"
		end
	elseif string.sub(total, string.find(total, "%.") + 3, string.find(total, "%.") + 3) == "" then
		total = tostring(total) .. "00"
	elseif string.sub(total, string.find(total, "%.") + 4, string.find(total, "%.") + 4) == "" then
		total = tostring(total) .. "0"
	end
	
	local Gold = string.sub(total, 1, string.find(total, "%.") - 1)
	local Silver = string.sub(total, string.find(total, "%.") + 1, string.find(total, "%.") + 2)
	local Copper = string.sub(total, string.find(total, "%.") + 3, string.find(total, "%.") + 4)
	
	if event == "Lottery" and NumberValue == "Jackpot" and round then
		Gold = tonumber(Gold)
		Silver = tonumber(Silver)
		Copper = tonumber(Copper)
		if Copper >= 50 then
			Copper = "00"
			Silver = Silver + 1
			if Silver >= 50 then
				Silver = "00"
				Gold = tostring(Gold + 1)
			else
				Silver = "00"
			end
		elseif Silver >= 50 then
			Copper = "00"
			Silver = "00"
			Gold = tostring(Gold + 1)
		else
			Copper = "00"
			Silver = "00"
		end
		if place then
			local startingGold = tonumber(glrCharacter.PreviousEvent.Lottery.Settings.StartingGold)
			local tickets = glrCharacter.PreviousEvent.Lottery.Settings.TicketsSold
			local price = tonumber(glrCharacter.PreviousEvent.Lottery.Settings.TicketPrice)
			local jackpotGold = startingGold + ( tickets * price )
			local TotalGold = GetValue(jackpotGold, "Lottery", "Jackpot", false)
			local check, _ = string.gsub(string.gsub(TotalGold, ",", ""), L["Value_Gold_Short"], "")
			if tonumber(string.sub(check, string.len(check), string.len(check))) >= 5 and tonumber(check) >= 12 then
				Gold = tostring(Gold + 1)
			else
				Gold = tostring(Gold)
			end
		else
			Gold = tostring(Gold)
		end
	end
	
	if tonumber(Copper) == 0 then
		if tonumber(Silver) == 0 then
			if tonumber(Gold) > 0 then
				Gold = CommaValue(Gold)
				total = Gold .. L["Value_Gold_Short"]
			else
				total = Gold .. L["Value_Gold_Short"] .. " " .. Silver .. L["Value_Silver_Short"] .. " " .. Copper .. L["Value_Copper_Short"]
			end
		else
			if tonumber(Gold) == 0 then
				total = Silver .. L["Value_Silver_Short"]
			else
				Gold = CommaValue(Gold)
				total = Gold .. L["Value_Gold_Short"] .. " " .. Silver .. L["Value_Silver_Short"]
			end
		end
	else
		if tonumber(Silver) == 0 then
			if tonumber(Gold) == 0 then
				total = Copper .. L["Value_Copper_Short"]
			else
				Gold = CommaValue(Gold)
				total = Gold .. L["Value_Gold_Short"] .. " " .. Copper .. L["Value_Copper_Short"]
			end
		else
			if tonumber(Gold) == 0 then
				total = Silver .. L["Value_Silver_Short"] .. " " .. Copper .. L["Value_Copper_Short"]
			else
				Gold = CommaValue(Gold)
				total = Gold .. L["Value_Gold_Short"] .. " " .. Silver .. L["Value_Silver_Short"] .. " " .. Copper .. L["Value_Copper_Short"]
			end
		end
	end
	return total
end

function GLR_C:CalendarToggle()
	
	local SavedStatus = glrCharacter.Data.Settings.General.CreateCalendarEvents
	local canEdit = false
	
	local v, b, d, t = GetBuildInfo()
	
	if tonumber(t) >= 80200 then
		canEdit = CanEditGuildEvent()
	end
	
	local timestamp = GetTimeStamp()
	
	if canEdit == nil then --In the unlikely event CanEditGuildEvent() returns nil.
		glrCharacter.Data.Settings.General.CreateCalendarEvents = false
		GLR:Print("Calendar Creation Variable returned NIL. Please report this to the AddOn Author.")
		table.insert(GLR_AddOnMessageTable_Debug.Messages, timestamp .. " - " .. GLR_GameVersion .. " - CalendarToggle() - Unable to Create Calendar Events. Reason: [NIL]")
		return
	end
	
	if canEdit then
		if SavedStatus then
			glrCharacter.Data.Settings.General.CreateCalendarEvents = false
		else
			glrCharacter.Data.Settings.General.CreateCalendarEvents = true
		end
		if GLR_AddOnMessageTable_Debug ~= nil then
			table.insert(GLR_AddOnMessageTable_Debug.Messages, timestamp .. " - " .. GLR_GameVersion .. " - CalendarToggle() - Create Calendar Events State: [" .. string.upper(tostring(glrCharacter.Data.Settings.General.CreateCalendarEvents)) .. "]")
		end
	else
		glrCharacter.Data.Settings.General.CreateCalendarEvents = false
		if tonumber(t) >= 80200 then
			GLR:Print(L["GLR - Error - Cant Create Calendar Events"])
			if GLR_AddOnMessageTable_Debug ~= nil then
				table.insert(GLR_AddOnMessageTable_Debug.Messages, timestamp .. " - " .. GLR_GameVersion .. " - CalendarToggle() - Unable to Create Calendar Events. Reason: [RANK]")
			end
		else
			GLR:Print("Calendar event creation is disabled in Classic")
			if GLR_AddOnMessageTable_Debug ~= nil then
				table.insert(GLR_AddOnMessageTable_Debug.Messages, timestamp .. " - " .. GLR_GameVersion .. " - CalendarToggle() - Unable to Create Calendar Events. Reason: [GAME]")
			end
		end
	end
	
end

function GLR_C:CreateAnnouncement(state)
	
	local FullPlayerName = (GetUnitName("PLAYER", false) .. "-" .. string.gsub(string.gsub(GetRealmName(), "-", ""), "%s+", ""))
	local canEdit = false
	local continue = false
	local year, month, day, hour, minute
	local AnnouncementTitle = ""
	local MaxTickets = ""
	local TicketPrice = ""
	local timestamp = GetTimeStamp()
	local v, b, d, t = GetBuildInfo()
	
	if tonumber(t) >= 80200 then
		C_Calendar.CloseEvent() --Closes Calendar Events if opened while mod is creating event.
		canEdit = CanEditGuildEvent()
		continue = true
	end
	
	if continue then
		if canEdit then
			
			if state == "Lottery" then
				AnnouncementTitle = L["GLR - Core - Calendar Lottery Title"]
			elseif state == "Raffle" then
				AnnouncementTitle = L["GLR - Core - Calendar Raffle Title"]
			end
			month = tostring(tonumber(string.sub(glrCharacter.Event[state].Date, 1, 2))) --Done like this to translate "07" into "7" as WoW doesn't like "07" for July
			day = tostring(tonumber(string.sub(glrCharacter.Event[state].Date, 4, 5)))
			year = "20" .. string.sub(glrCharacter.Event[state].Date, 7, 8)
			hour = string.sub(glrCharacter.Event[state].Date, 12, 13)
			minute = string.sub(glrCharacter.Event[state].Date, 15, 16)
			MaxTickets = glrCharacter.Event[state].MaxTickets
			TicketPrice = GetValue(glrCharacter.Event[state].TicketPrice, state)
			
			local AnnouncementDescription = string.gsub(string.gsub(string.gsub(L["GLR - Core - Calendar Guild Announcement"], "%%TicketPrice", TicketPrice), "%%MaxTickets", MaxTickets), "%%Player", FullPlayerName)
			
			C_Calendar.CreateGuildAnnouncementEvent()
			C_Calendar.EventSetDate(month,day,year)
			C_Calendar.EventSetTitle(AnnouncementTitle)
			C_Calendar.EventSetDescription(AnnouncementDescription)
			C_Calendar.EventSetTime(hour,minute)
			C_Calendar.EventSetType(5)
			C_Calendar.AddEvent()
			C_Calendar.CloseEvent()
			
			if GLR_AddOnMessageTable_Debug ~= nil then
				table.insert(GLR_AddOnMessageTable_Debug.Messages, timestamp .. " - " .. GLR_GameVersion .. " - CreateAnnouncement() - Created Calendar Event For: [" .. string.upper(state) .. "]")
			end
			
		else
			
			glrCharacter.Data.Settings.General.CreateCalendarEvents = false
			GLR:Print(L["GLR - Error - Cant Create Calendar Events"])
			
			if GLR_AddOnMessageTable_Debug ~= nil then
				table.insert(GLR_AddOnMessageTable_Debug.Messages, timestamp .. " - " .. GLR_GameVersion .. " - CreateAnnouncement() - Unable to Create Calendar Event. Reason: [RANK]")
			end
			
		end
	end
	
end